Page number to return.













Beta Admin Users Endpoints
(beta) Admin API - manage users. Requires an admin API key.












Examples
Real world code examples
Get Users
GET /api/admin/users
List Organization members and pending invitations.
AdminApiKey
page
page_size
Maximum number of results per page.
Email address to filter users and invitations.
200
OK
page
Page number returned.
page_size
Maximum number of results per page.
total
Total number of users and invitations that match the request.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/users \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/users \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"invites": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"email": "ipsum eiusmod",
"expired": false,
"raw_role": "A",
"raw_roles": [
"A"
],
"uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"members": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"email": null,
"name": null,
"oid_id": null,
"raw_role": "A",
"raw_roles": [
"A"
],
"uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"page": null,
"page_size": null,
"total": null
}{
"invites": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"email": "ipsum eiusmod",
"expired": false,
"raw_role": "A",
"raw_roles": [
"A"
],
"uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"members": [
{
"created_at": "2025-12-17T10:25:07.818693Z",
"email": null,
"name": null,
"oid_id": null,
"raw_role": "A",
"raw_roles": [
"A"
],
"uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}
],
"page": null,
"page_size": null,
"total": null
}Create Users
POST /api/admin/users
Create Organization members.
AdminApiKey
OrganizationMemberCreate
200
OK
email_to_user_id
Mapping from created user email to user identifier.
invalid_emails
Email addresses that could not be created.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/users \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '[
{
"email": "ipsum eiusmod",
"first_name": "consequat do",
"last_name": "reprehenderit ut dolore"
}
]'curl https://api.mistral.ai/api/admin/users \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '[
{
"email": "ipsum eiusmod",
"first_name": "consequat do",
"last_name": "reprehenderit ut dolore"
}
]'200
{
"email_to_user_id": [
"ipsum eiusmod"
],
"invalid_emails": [
"consequat do"
]
}{
"email_to_user_id": [
"ipsum eiusmod"
],
"invalid_emails": [
"consequat do"
]
}Get Invite
GET /api/admin/users-invite
List pending Organization invitations.
AdminApiKey
200
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/users-invite \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/users-invite \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
[
{
"email": null,
"invite_uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"role": "A",
"roles": [
"A"
]
}
][
{
"email": null,
"invite_uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"role": "A",
"roles": [
"A"
]
}
]Invite Users
POST /api/admin/users-invite
Invite users to the Organization.
AdminApiKey
Email address, comma-separated emails, or newline-separated emails to invite.
email_language
Language used for invitation emails.
role
Deprecated legacy single role value, kept for backward compatibility. Mutually exclusive with 'role_name'.
role_name
Deprecated single role name, kept for backward compatibility. Mutually exclusive with 'role'.
role_names
Simplified role names to assign. Mutually exclusive with 'roles'.
roles
Role values to assign. Mutually exclusive with 'role_names'.
subscription_seat_automatic_granting
Default Value: false
Whether to grant subscription seats automatically.
subscription_type
Deprecated single product seat to assign.
subscription_types
Product seats to assign to the user.
workspace_uuids
Workspace IDs the invited users should join.
200
OK
already_members
Email addresses that already belong to the Organization.
invalid_emails
Email addresses that could not be invited.
invited_members_count
Number of invitations successfully created.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/users-invite \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"email": "ipsum eiusmod"
}'curl https://api.mistral.ai/api/admin/users-invite \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"email": "ipsum eiusmod"
}'200
{
"already_members": [
"ipsum eiusmod"
],
"invalid_emails": [
"consequat do"
]
}{
"already_members": [
"ipsum eiusmod"
],
"invalid_emails": [
"consequat do"
]
}Delete Invite
DELETE /api/admin/users-invite/{invite_uuid}
AdminApiKey
invite_uuid
Organization invitation ID.
200
OK
message
Deletion result message.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/users-invite/{invite_uuid} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/api/admin/users-invite/{invite_uuid} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'200
{
"message": "Example message."
}{
"message": "Example message."
}Get User
GET /api/admin/users/{user_id}
Get details for an Organization member.
AdminApiKey
user_id
User ID.
200
OK
User email address.
first_name
User first name.
last_name
User last name.
uuid
User ID.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/users/{user_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/users/{user_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"email": null,
"first_name": null,
"last_name": null,
"uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"email": null,
"first_name": null,
"last_name": null,
"uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Delete User
DELETE /api/admin/users/{user_id}
Remove a member from the Organization.
AdminApiKey
user_id
User ID.
200
OK
message
Deletion result message.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/users/{user_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/api/admin/users/{user_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'200
{
"message": "Example message."
}{
"message": "Example message."
}Update User
PATCH /api/admin/users/{user_id}
Update an Organization member's roles and product seats.
AdminApiKey
user_id
User ID.
role
Deprecated legacy single role value, kept for backward compatibility. Mutually exclusive with 'role_name'.
role_name
Deprecated single role name, kept for backward compatibility. Mutually exclusive with 'role'.
role_names
Simplified role names to assign. Mutually exclusive with 'roles'.
roles
Role values to assign. Mutually exclusive with 'role_names'.
subscription_types
Product seats to assign to the member.
200
OK
created_at
Date the member was added to the Organization.
Email address of the Organization member.
is_sso_outsider
Whether the member is outside the SSO domain.
name
Name of the Organization member.
oid_id
Identity provider ID for the member.
raw_role
Deprecated single organization role. Use 'raw_roles' instead.
raw_roles
Organization roles assigned to the member.
subscription_types
Product seats assigned to the member.
uuid
Organization member ID.
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/users/{user_id} \
-X PATCH \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'curl https://api.mistral.ai/api/admin/users/{user_id} \
-X PATCH \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{}'200
{
"created_at": "2025-12-17T10:25:07.818693Z",
"email": null,
"name": null,
"oid_id": null,
"raw_role": "A",
"raw_roles": [
"A"
],
"uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"email": null,
"name": null,
"oid_id": null,
"raw_role": "A",
"raw_roles": [
"A"
],
"uuid": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Get Roles
GET /api/admin/roles
List Organization and Workspace roles.
AdminApiKey
Playground
Test the endpoints live
curl https://api.mistral.ai/api/admin/roles \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/api/admin/roles \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'200
{
"organization_roles": [
{
"description": "My resource description.",
"is_custom_role": false,
"name": "My resource",
"uuid": null
}
],
"workspace_roles": [
{
"description": "My resource description.",
"is_custom_role": false,
"name": "My resource",
"uuid": null
}
]
}{
"organization_roles": [
{
"description": "My resource description.",
"is_custom_role": false,
"name": "My resource",
"uuid": null
}
],
"workspace_roles": [
{
"description": "My resource description.",
"is_custom_role": false,
"name": "My resource",
"uuid": null
}
]
}